site_name: 3Engines Documentation
site_description: Documentation for 3Engines services and products
site_author: 3Engines
site_url: https://docs.3Engines.com/
# repo_url: https://github.com/3Engines # Adjust if you have a specific repo
repo_name: 3Engines/docs # Adjust if you have a specific repo
docs_dir: docs
site_dir: site
use_directory_urls: false
strict: false

# File handling
exclude_docs: |
  *.tmp
  .DS_Store
  *.bak
  *.swp

# Theme configuration
theme:
  name: material
  
  # logo: assets/logo.svg # Uncomment and ensure file exists in docs/assets/
  favicon: assets/favicon.ico # Uncomment and ensure file exists in docs/assets/
  # custom_dir: overrides # Create docs/overrides/ for custom templates if needed
  features:
    - content.code.annotate
    - content.code.copy
    - content.tooltips
    - navigation.tabs
    - navigation.sections
    - navigation.footer
    - navigation.indexes
    - navigation.sections
    - navigation.top
    - navigation.tracking
    - search.highlight
    - search.share
    - search.suggest
    - toc.follow
  palette:
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: blue grey # Kept your original color
      accent: indigo # Kept your original color
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: indigo
      accent: indigo
      toggle:
        icon: material/brightness-4
        name: Switch to light mode
  font:
    text: Roboto
    code: Roboto Mono

# Custom CSS to reduce white space
extra_css:
  - stylesheets/extra.css


nav:
  - Home: index.md
  # - Account Management:
  #     - Overview: accountmanagement/accountmanagement.html.md
  #     - Registration and Setting up an Account: accountmanagement/Registration-And-Account.html.md
  #     - How to start using dashboard services on 3Engines Cloud: accountmanagement/How-to-start-using-dashboard-services-on-3Engines-Cloud.html.md
  #     - Two-Factor Authentication to 3Engines Cloud site using mobile application: accountmanagement/Two-Factor-Authentication-for-3Engines-Cloud-Site.html.md
  #     - Two-Factor Authentication to 3Engines Cloud site using KeePassXC on desktop: accountmanagement/Using-KeePassXC-for-Two-Factor-Authentication-on-3Engines-Cloud.html.md
  #     - How to activate 3Engines CLI access to 3Engines Cloud cloud using one- or two-factor authentication: accountmanagement/How-to-activate-3Engines-CLI-access-to-3Engines-Cloud-cloud-using-one-or-two-factor-authentication.html.md
  #     - How to manage TOTP authentication on 3Engines Cloud: accountmanagement/How-to-manage-TOTP-authentication-on-3Engines-Cloud.html.md
  #     - Adding and editing Organization: accountmanagement/Adding-Editing-Organizations.html.md
  #     - How to buy credits using Pay Per Use wallet on 3Engines Cloud: accountmanagement/How-to-buy-credits-using-pay-per-use-wallet-on-3Engines-Cloud.html.md
  #     - Forgotten Password: accountmanagement/Forgotten-Password.html.md
  #     - Editing profile: accountmanagement/Editing-Profile.html.md
  #     - Wallets and Contracts Management: accountmanagement/Contracts-Wallets.html.md
  #     - Services: accountmanagement/Services.html.md
  #     - Inviting new user to your Organization: accountmanagement/Inviting-New-User.html.md
  #     - Removing user from Organization: accountmanagement/Removing-User-From-Organization.html.md
  #     - Tenant manager users and roles on 3Engines Cloud: accountmanagement/Tenant-Manager-Users-And-Roles-On-3Engines-Cloud.html.md
  #     - Helpdesk and Support: accountmanagement/Help-Desk-And-Support.html.md
  #     - Privacy policy for clients: accountmanagement/Privacy-Policy.html.md
  #     - Cookie consent on 3Engines Cloud: accountmanagement/Cookie-consent-on-3Engines-Cloud.html.md
  - Cloud:
      - Overview: cloud/cloud.html.md
      - Dashboard Overview – Project Quotas And Flavors Limits on 3Engines Cloud: cloud/Dashboard-Overview-Project-Quotas-And-Flavors-Limits-on-3Engines-Cloud.html.md
      - How to access the VM from 3Engines console on 3Engines Cloud: cloud/How-to-access-the-VM-from-3Engines-console-on-3Engines-Cloud.html.md
      - How to clone existing and configured VMs on 3Engines Cloud: cloud/How-to-clone-existing-and-configured-VMs-on-3Engines-Cloud.html.md
      - How to fix unresponsive console issue on 3Engines Cloud: cloud/How-to-fix-unresponsive-console-issue-on-3Engines-Cloud.html.md
      - How to generate and manage EC2 credentials on 3Engines Cloud: cloud/How-to-generate-ec2-credentials-on-3Engines-Cloud.html.md
      - How to generate or use Application Credentials via CLI on 3Engines Cloud: cloud/How-to-generate-or-use-Application-Credentials-via-CLI-on-3Engines-Cloud.html.md
      - How to Use GUI in Linux VM on 3Engines Cloud and access it From Local Linux Computer: cloud/How-to-use-GUI-in-Linux-VM-on-3Engines-Cloud-and-access-it-from-local-Linux-computer.html.md
      - How To Create a New Linux VM With NVIDIA Virtual GPU in the 3Engines Dashboard Horizon on 3Engines Cloud: cloud/How-To-Create-a-New-Linux-VM-With-NVIDIA-Virtual-GPU-in-the-3Engines-Dashboard-Horizon-on-3Engines-Cloud.html.md
      - How to install and use Docker on Ubuntu 24.04: cloud/How-to-use-Docker-on-3Engines-Cloud.html.md
      - How to use Security Groups in Horizon on 3Engines Cloud: cloud/How-to-use-Security-Groups-in-Horizon-on-3Engines-Cloud.html.md
      - How to create key pair in 3Engines Dashboard on 3Engines Cloud: cloud/How-to-create-key-pair-in-3Engines-Dashboard-on-3Engines-Cloud.html.md
      - How to create new Linux VM in 3Engines Dashboard Horizon on 3Engines Cloud: cloud/How-to-create-new-Linux-VM-in-3Engines-Dashboard-Horizon-on-3Engines-Cloud.html.md
      - How to install Python virtualenv or virtualenvwrapper on 3Engines Cloud: cloud/How-to-install-Python-virtualenv-or-virtualenvwrapper-on-3Engines-Cloud.html.md
      - How to start a VM from a snapshot on 3Engines Cloud: cloud/How-to-start-a-VM-from-a-snapshot-on-3Engines-Cloud.html.md
      - Status Power State and dependencies in billing of instance VMs on 3Engines Cloud: cloud/Status-Power-State-and-dependences-in-billing-of-instances-VMs-on-3Engines-Cloud.html.md
      - How to upload your custom image using 3Engines CLI on 3Engines Cloud: cloud/How-to-upload-your-custom-image-using-3Engines-CLI-on-3Engines-Cloud.html.md
      - VM created with option Create New Volume No on 3Engines Cloud: cloud/VM-created-with-option-Create-New-Volume-No-on-3Engines-Cloud.html.md
      - VM created with option Create New Volume Yes on 3Engines Cloud: cloud/VM-created-with-option-Create-New-Volume-Yes-on-3Engines-Cloud.html.md
      - What is an 3Engines domain on 3Engines Cloud: cloud/What-is-an-3Engines-domain-on-3Engines-Cloud.html.md
      - What is an 3Engines project on 3Engines Cloud: cloud/What-is-an-3Engines-project-on-3Engines-Cloud.html.md
      - How to create a Linux VM and access it from Windows desktop on 3Engines Cloud: cloud/How-to-create-a-Linux-VM-and-access-it-from-Windows-desktop-on-3Engines-Cloud.html.md
      - How to create a Linux VM and access it from Linux command line on 3Engines Cloud: cloud/How-to-create-a-Linux-VM-and-access-it-from-Linux-command-line-on-3Engines-Cloud.html.md
      - DNS as a Service on 3Engines Cloud Hosting: cloud/DNS-as-a-Service-on-3Engines-Cloud-Hosting.html.md
      - What Image Formats are Available in 3Engines 3Engines Cloud cloud: cloud/What-Image-Formats-are-available-in-3Engines-3Engines-Cloud-Cloud.html.md
      - How to upload custom image to 3Engines Cloud cloud using 3Engines Horizon dashboard: cloud/How-to-upload-custom-image-to-3Engines-Cloud-cloud-using-3Engines-Horizon-dashboard.html.md
      - How to create Windows VM on 3Engines Horizon and access it via web console on 3Engines Cloud: cloud/How-to-create-Windows-VM-on-3Engines-Horizon-and-access-it-via-web-console-on-3Engines-Cloud.html.md
      - How to transfer volumes between domains and projects using Horizon dashboard on 3Engines Cloud: cloud/How-to-transfer-volumes-between-domains-and-projects-using-Horizon-dashboard-on-3Engines-Cloud.html.md
      - Spot instances on 3Engines Cloud: cloud/Spot-instances-on-3Engines-Cloud.html.md
      - How to create instance snapshot using Horizon on 3Engines Cloud: cloud/How-to-create-instance-snapshot-using-Horizon-on-3Engines-Cloud.html.md
      - How to start a VM from instance snapshot using Horizon dashboard on 3Engines Cloud: cloud/How-to-start-a-VM-from-instance-snapshot-using-Horizon-dashboard-on-3Engines-Cloud.html.md
      - How to create a VM using the 3Engines CLI client on 3Engines Cloud cloud: cloud/How-to-create-a-VM-using-the-3Engines-CLI-client-on-3Engines-Cloud-cloud.html.md
      - 3Engines User Roles on 3Engines Cloud: cloud/3Engines-user-roles-on-3Engines-Cloud.html.md
      - Resizing a virtual machine using 3Engines Horizon on 3Engines Cloud: cloud/Resizing-a-virtual-machine-using-3Engines-Horizon-on-3Engines-Cloud.html.md
      - Block storage and object storage performance limits on 3Engines Cloud: cloud/Block-storage-and-object-storage-performance-limits-on-3Engines-Cloud.html.md
  - Data Volume:
      - Overview: datavolume/datavolume.html.md
      - How to attach a volume to VM less than 2TB on Linux on 3Engines Cloud: datavolume/How-to-attach-a-volume-to-VM-less-than-2TB-on-Linux-on-3Engines-Cloud.html.md
      - How to attach a volume to VM more than 2TB on Linux on 3Engines Cloud: datavolume/How-to-attach-a-volume-to-VM-more-than-2TB-on-Linux-on-3Engines-Cloud.html.md
      - Ephemeral vs Persistent storage option Create New Volume on 3Engines Cloud: datavolume/Ephemeral-vs-Persistent-storage-option-Create-New-Volume-on-3Engines-Cloud.html.md
      - How to export a volume over NFS on 3Engines Cloud: datavolume/How-to-export-a-volume-over-NFS-on-3Engines-Cloud.html.md
      - How to export a volume over NFS outside of a project on 3Engines Cloud: datavolume/How-to-export-a-volume-over-NFS-outside-of-a-project-on-3Engines-Cloud.html.md
      - How to extend the volume in Linux on 3Engines Cloud: datavolume/How-to-extend-the-volume-in-Linux-on-3Engines-Cloud.html.md
      - How to mount object storage in Linux on 3Engines Cloud: datavolume/How-to-mount-object-storage-in-Linux-on-3Engines-Cloud.html.md
      - How to move data volume between two VMs using 3Engines Horizon on 3Engines Cloud: datavolume/How-to-move-data-volume-between-two-VMs-using-3Engines-Horizon-on-3Engines-Cloud.html.md
      - How many objects can I put into Object Storage container bucket on 3Engines Cloud: datavolume/How-many-objects-can-I-put-into-Object-Storage-container-bucket-on-3Engines-Cloud.html.md
      - How to create volume Snapshot and attach as Volume on Linux or Windows on 3Engines Cloud: datavolume/How-to-create-volume-Snapshot-and-attach-as-Volume-on-Linux-or-Windows-on-3Engines-Cloud.html.md
      - Volume snapshot inheritance and its consequences on 3Engines Cloud: datavolume/Volume-snapshot-inheritance-and-its-consequences-on-3Engines-Cloud.html.md
      - How to Create Backup of Your Volume From Windows Machine on 3Engines Cloud: datavolume/How-To-Create-Backup-Of-Your-Volume-From-Windows-Machine-on-3Engines-Cloud.html.md
      - How To Attach Volume To Windows VM On 3Engines Cloud: datavolume/How-To-Attach-Volume-To-Windows-VM-On-3Engines-Cloud.html.md
      - How to create or delete volume snapshot on 3Engines Cloud: datavolume/How-to-create-or-delete-volume-snapshot-on-3Engines-Cloud.html.md
      - How to restore volume from snapshot on 3Engines Cloud: datavolume/How-to-restore-volume-from-snapshot-on-3Engines-Cloud.html.md
      - Bootable versus non-bootable volumes on 3Engines Cloud: datavolume/Bootable-versus-non-bootable-volumes-on-3Engines-Cloud.html.md
  # - Kubernetes:
  #     - Overview: kubernetes/kubernetes.html.md
  #     - How to Create a Kubernetes Cluster Using 3Engines Cloud 3Engines Magnum: kubernetes/How-to-Create-a-Kubernetes-Cluster-Using-3Engines-Cloud-3Engines-Magnum.html.md
  #     - Default Kubernetes cluster templates in 3Engines Cloud Cloud: kubernetes/Default-Kubernetes-cluster-templates-in-3Engines-Cloud-Cloud.html.md
  #     - How To Install 3Engines and Magnum Clients for Command Line Interface to 3Engines Cloud Horizon: kubernetes/How-To-Install-3Engines-and-Magnum-Clients-for-Command-Line-Interface-to-3Engines-Cloud-Horizon.html.md
  #     - How To Use Command Line Interface for Kubernetes Clusters On 3Engines Cloud 3Engines Magnum: kubernetes/How-To-Use-Command-Line-Interface-for-Kubernetes-Clusters-On-3Engines-Cloud-3Engines-Magnum.html.md
  #     - How To Access Kubernetes Cluster Post Deployment Using Kubectl On 3Engines Cloud 3Engines Magnum: kubernetes/How-To-Access-Kubernetes-Cluster-Post-Deployment-Using-Kubectl-On-3Engines-Cloud-3Engines-Magnum.html.md
  #     - Using Dashboard To Access Kubernetes Cluster Post Deployment On 3Engines Cloud 3Engines Magnum: kubernetes/Using-Dashboard-To-Access-Kubernetes-Cluster-Post-Deployment-On-3Engines-Cloud-3Engines-Magnum.html.md
  #     - How To Create API Server LoadBalancer for Kubernetes Cluster on 3Engines Cloud 3Engines Magnum: kubernetes/How-To-Create-API-Server-LoadBalancer-for-Kubernetes-Cluster-On-3Engines-Cloud-3Engines-Magnum.html.md
  #     - Creating Additional Nodegroups in Kubernetes Cluster on 3Engines Cloud 3Engines Magnum: kubernetes/Creating-Additional-Nodegroups-in-Kubernetes-Cluster-on-3Engines-Cloud-3Engines-Magnum.html.md
  #     - Autoscaling Kubernetes Cluster Resources on 3Engines Cloud 3Engines Magnum: kubernetes/Autoscaling-Kubernetes-Cluster-Resources-on-3Engines-Cloud-3Engines-Magnum.html.md
  #     - Volume-based vs Ephemeral-based Storage for Kubernetes Clusters on 3Engines Cloud 3Engines Magnum: kubernetes/Volume-based-vs-Ephemeral-based-Storage-for-Kubernetes-Clusters-on-3Engines-Cloud-3Engines-Magnum.html.md
  #     - Backup of Kubernetes Cluster using Velero: kubernetes/Backup-of-Kubernetes-Cluster-using-Velero.html.md
  #     - Using Kubernetes Ingress on 3Engines Cloud 3Engines Magnum: kubernetes/Using-Kubernetes-Ingress-on-3Engines-Cloud-3Engines-Magnum.html.md
  #     - Deploying Helm Charts on Magnum Kubernetes Clusters on 3Engines Cloud Cloud: kubernetes/Deploying-Helm-Charts-on-Magnum-Kubernetes-Clusters-on-3Engines-Cloud-Cloud.html.md
  #     - Deploying HTTPS Services on Magnum Kubernetes in 3Engines Cloud Cloud: kubernetes/Deploying-HTTPS-Services-on-Magnum-Kubernetes-in-3Engines-Cloud-Cloud.html.md
  #     - Installing JupyterHub on Magnum Kubernetes Cluster in 3Engines Cloud Cloud: kubernetes/Installing-JupyterHub-on-Magnum-Kubernetes-cluster-in-3Engines-Cloud-cloud.html.md
  #     - Install and run Argo Workflows on 3Engines Cloud Magnum Kubernetes: kubernetes/Install-and-run-Argo-Workflows-on-3Engines-Cloud-Magnum-Kubernetes.html.md
  #     - Installing HashiCorp Vault on 3Engines Cloud Magnum: kubernetes/Installing-HashiCorp-Vault-on-3Engines-Cloud-Magnum.html.md
  #     - HTTP Request-based Autoscaling on K8S using Prometheus and Keda on 3Engines Cloud: kubernetes/HTTP-Request-based-Autoscaling-on-K8S-using-Prometheus-and-Keda-on-3Engines-Cloud.html.md
  #     - Create and access NFS server from Kubernetes on 3Engines Cloud: kubernetes/Create-and-access-NFS-server-from-Kubernetes-on-3Engines-Cloud.html.md
  #     - Deploy Keycloak on Kubernetes with a sample app on 3Engines Cloud: kubernetes/Deploy-Keycloak-on-Kubernetes-with-a-sample-app-on-3Engines-Cloud.html.md
  #     - Install and run Dask on a Kubernetes cluster in 3Engines Cloud cloud: kubernetes/Install-and-run-Dask-on-a-Kubernetes-cluster-in-3Engines-Cloud-cloud.html.md
  #     - Install and run NooBaa on Kubernetes cluster in single- and multicloud-environment on 3Engines Cloud: kubernetes/Install-and-run-NooBaa-on-Kubernetes-cluster-in-single-and-multicloud-environment-on-3Engines-Cloud.html.md
  #     - Private container registries with Harbor on 3Engines Cloud Kubernetes: kubernetes/Private-container-registries-with-Harbor-on-3Engines-Cloud-Kubernetes.html.md
  #     - Deploying vGPU workloads on 3Engines Cloud Kubernetes: kubernetes/Deploying-vGPU-workloads-on-3Engines-Cloud-Kubernetes.html.md
  #     - Kubernetes cluster observability with Prometheus and Grafana on 3Engines Cloud: kubernetes/Kubernetes-cluster-observability-with-Prometheus-and-Grafana-on-3Engines-Cloud.html.md
  #     - Enable Kubeapps app launcher on 3Engines Cloud Magnum Kubernetes cluster: kubernetes/Enable-Kubeapps-app-launcher-on-3Engines-Cloud-Magnum-Kubernetes-cluster.html.md
  #     - Install GitLab on 3Engines Cloud Kubernetes: kubernetes/Install-GitLab-on-3Engines-Cloud-Kubernetes.html.md
  #     - Sealed Secrets on 3Engines Cloud Kubernetes: kubernetes/Sealed-Secrets-on-3Engines-Cloud-Kubernetes.html.md
  #     - CI/CD pipelines with GitLab on 3Engines Cloud Kubernetes - building a Docker image: kubernetes/CICD-pipelines-with-GitLab-on-3Engines-Cloud-Kubernetes-building-a-Docker-image.html.md
  #     - How to create Kubernetes cluster using Terraform on 3Engines Cloud: kubernetes/How-to-create-Kubernetes-cluster-using-Terraform-on-3Engines-Cloud.html.md
  #     - GitOps with Argo CD on 3Engines Cloud Kubernetes: kubernetes/GitOps-with-Argo-CD-on-3Engines-Cloud-Kubernetes.html.md
  #     - Configuring IP Whitelisting for 3Engines Load Balancer using Horizon and CLI on 3Engines Cloud: kubernetes/Configuring-IP-Whitelisting-for-3Engines-Load-Balancer-using-Horizon-and-CLI-on-3Engines-Cloud.html.md
  #     - Configuring IP Whitelisting for 3Engines Load Balancer using Terraform on 3Engines Cloud: kubernetes/Configuring-IP-Whitelisting-for-3Engines-Load-Balancer-using-Terraform-on-3Engines-Cloud.html.md
  #     - Implementing IP Whitelisting for Load Balancers with Security Groups on 3Engines Cloud: kubernetes/Implementing-IP-Whitelisting-for-Load-Balancers-with-Security-Groups-on-3Engines-Cloud.html.md
  #     - How to install Rancher RKE2 Kubernetes on 3Engines Cloud: kubernetes/How-to-install-Rancher-RKE2-Kubernetes-on-3Engines-Cloud-cloud.html.md
  #     - Automatic Kubernetes cluster upgrade on 3Engines Cloud 3Engines Magnum: kubernetes/Automatic-Kubernetes-cluster-upgrade-on-3Engines-Cloud-3Engines-Magnum.html.md
  - Networking:
      - Overview: networking/networking.html.md
      - How can I access my VMs using names instead of IP addresses on 3Engines Cloud: networking/How-can-I-access-my-VMs-using-names-instead-of-IP-addresses-on-3Engines-Cloud.html.md
      - How to Add or Remove Floating IP’s to your VM on 3Engines Cloud: networking/How-to-Add-or-Remove-Floating-IPs-to-your-VM-on-3Engines-Cloud.html.md
      - Cannot access VM with SSH or PING on 3Engines Cloud: networking/Cannot-access-VM-with-SSH-or-PING-on-3Engines-Cloud.html.md
      - Cannot ping VM on 3Engines Cloud: networking/Cannot-ping-VM-on-3Engines-Cloud.html.md
      - How to connect to your virtual machine via SSH in Linux on 3Engines Cloud: networking/How-to-connect-to-your-virtual-machine-via-SSH-in-Linux-on-3Engines-Cloud.html.md
      - How to create a network with router in Horizon Dashboard on 3Engines Cloud: networking/How-to-create-a-network-with-router-in-Horizon-Dashboard-on-3Engines-Cloud.html.md
      - How can I open new ports for http for my service or instance on 3Engines Cloud: networking/How-can-I-open-new-ports-port-80-for-http-for-my-service-or-instance-on-3Engines-Cloud.html.md
      - Generating an SSH keypair in Linux on 3Engines Cloud: networking/Generating-a-SSH-keypair-in-Linux-on-3Engines-Cloud.html.md
      - How to add SSH key from Horizon web console on 3Engines Cloud: networking/How-to-add-SSH-key-from-Horizon-web-console-on-3Engines-Cloud.html.md
      - How is my VM visible in the internet with no Floating IP attached on 3Engines Cloud: networking/How-is-my-VM-visible-in-the-internet-with-no-Floating-IP-attached-on-3Engines-Cloud.html.md
      - How to run and configure Firewall as a service and VPN as a service on 3Engines Cloud: networking/How-to-run-and-configure-Firewall-as-a-service-and-VPN-as-a-service-on-3Engines-Cloud.html.md
      - How to import SSH public key to 3Engines Horizon on 3Engines Cloud: networking/How-to-Import-SSH-Public-Key-to-3Engines-Horizon-on-3Engines-Cloud.html.md
  # - 3Engines CLI:
  #     - Overview: 3Enginescli/3Enginescli.html.md
  #     - How to Backup an Instance and Download it to the Desktop on 3Engines Cloud 3Engines Hosting: 3Enginescli/How-to-backup-an-instance-and-download-it-to-the-desktop-on-3Engines-Cloud.html.md
  #     - How to create a set of VMs using 3Engines Heat Orchestration on 3Engines Cloud: 3Enginescli/How-to-create-a-set-of-VMs-using-3Engines-Heat-Orchestration-on-3Engines-Cloud.html.md
  #     - How to Create and Configure New 3Engines Project Through Horizon on 3Engines Cloud Cloud: 3Enginescli/How-To-Create-and-Configure-New-Project-on-3Engines-Cloud-Cloud.html.md
  #     - How to install 3EnginesClient for Linux on 3Engines Cloud: 3Enginescli/How-to-install-3EnginesClient-for-Linux-on-3Engines-Cloud.html.md
  #     - How to install 3EnginesClient GitBash for Windows on 3Engines Cloud: 3Enginescli/How-to-install-3EnginesClient-GitBash-or-Cygwin-for-Windows-on-3Engines-Cloud.html.md
  #     - How to share private container from object storage to another user on 3Engines Cloud: 3Enginescli/How-to-share-private-container-from-object-storage-to-another-user-on-3Engines-Cloud.html.md
  #     - How to install 3EnginesClient on Windows using Windows Subsystem for Linux on 3Engines Cloud 3Engines Hosting: 3Enginescli/How-to-install-3EnginesClient-on-Windows-using-Windows-Subsystem-for-Linux-on-3Engines-Cloud-3Engines-Hosting.html.md
  #     - How to move data volume between VMs using 3Engines CLI on 3Engines Cloud: 3Enginescli/How-to-move-data-volume-between-two-VMs-using-3Engines-CLI-on-3Engines-Cloud.html.md
  #     - How to access object storage using 3Engines CLI on 3Engines Cloud: 3Enginescli/How-to-access-object-storage-using-3Engines-CLI-on-3Engines-Cloud.html.md
  #     - How to transfer volumes between domains and projects using 3Engines CLI client on 3Engines Cloud: 3Enginescli/How-to-transfer-volumes-between-domains-and-projects-using-3Engines-CLI-client-on-3Engines-Cloud.html.md
  #     - How to start a VM from instance snapshot using 3Engines CLI on 3Engines Cloud: 3Enginescli/How-to-start-a-VM-from-instance-snapshot-using-3Engines-CLI-on-3Engines-Cloud.html.md
  #     - How to create instance snapshot using 3Engines CLI on 3Engines Cloud: 3Enginescli/How-to-create-instance-snapshot-using-3Engines-CLI-on-3Engines-Cloud.html.md
  #     - Resizing a virtual machine using 3Engines CLI on 3Engines Cloud: 3Enginescli/Resizing-a-virtual-machine-using-3Engines-CLI-on-3Engines-Cloud.html.md
  #     - Use backup command to create rotating backups of virtual machines on 3Engines Cloud cloud: 3Enginescli/Use-backup-command-to-create-rotating-backups-of-virtual-machines-on-3Engines-Cloud.html.md
  #     - Use script to create daily weekly and monthly rotating backups of virtual machines on 3Engines Cloud: 3Enginescli/Use-script-to-create-daily-weekly-and-monthly-rotating-backups-of-virtual-machines-using-on-3Engines-Cloud.html.md
  # - 3Engines Development:
  #     - Overview: 3Enginesdev/3Enginesdev.html.md
  #     - Authenticating with 3EnginesSDK using Keycloak Credentials on 3Engines Cloud: 3Enginesdev/Authenticating-to-3EnginesSDK-using-Keycloak-Credentials-on-3Engines-Cloud.html.md
  #     - Generating and authorizing Terraform using Keycloak user on 3Engines Cloud: 3Enginesdev/Generating-and-authorizing-Terraform-using-Keycloak-user-on-3Engines-Cloud.html.md
  
  - S3:
      - Overview: s3/s3.html.md
      - How to Delete Large S3 Bucket on 3Engines Cloud: s3/How-to-delete-large-S3-bucket-on-3Engines-Cloud.html.md
      - How to Mount Object Storage Container as a File System in Linux Using s3fs on 3Engines Cloud: s3/How-to-mount-object-storage-container-as-a-file-system-in-Linux-using-s3fs-on-3Engines-Cloud.html.md
      - Bucket sharing using s3 bucket policy on 3Engines Cloud: s3/Bucket-sharing-using-s3-bucket-policy-on-3Engines-Cloud.html.md
      - How to use Object Storage on 3Engines Cloud: s3/How-to-use-Object-Storage-on-3Engines-Cloud.html.md
      - How to access private object storage using S3cmd or boto3 on 3Engines Cloud: s3/How-to-access-private-object-storage-using-S3cmd-or-boto3-on-3Engines-Cloud.html.md
      - How to Install Boto3 in Windows on 3Engines Cloud: s3/How-To-Install-boto3-In-Windows-on-3Engines-Cloud.html.md
      - Server-Side Encryption with Customer-Managed Keys (SSE-C) on 3Engines Cloud: s3/Server-Side-Encryption-with-Customer-Managed-Keys-SSE-C-on-3Engines-Cloud.html.md
      - How to mount object storage container from 3Engines Cloud as file system on local Windows computer: s3/How-to-mount-object-storage-container-from-3Engines-Cloud-as-file-system-on-local-Windows-computer.html.md
      - How to install s3cmd on Linux on 3Engines Cloud: s3/How-to-install-s3cmd-on-Linux-on-3Engines-Cloud.html.md
      - How to access object storage from 3Engines Cloud using boto3: s3/How-to-access-object-storage-from-3Engines-Cloud-using-boto3.html.md
      - How to access object storage from 3Engines Cloud using s3cmd: s3/How-to-access-object-storage-from-3Engines-Cloud-using-s3cmd.html.md
      - Configuration files for s3cmd command on 3Engines Cloud: s3/Configuration-files-for-s3cmd-command-on-3Engines-Cloud.html.md
      - S3 bucket object versioning on 3Engines Cloud: s3/S3-bucket-object-versioning-on-3Engines-Cloud.html.md
  - Windows:
      - Overview: windows/windows.html.md
      - How to access a VM from Windows PuTTY on 3Engines Cloud: windows/How-to-access-a-VM-from-Windows-PuTTY-on-3Engines-Cloud.html.md
      - Connecting to a Windows VM via RDP through a Linux bastion host port forwarding on 3Engines Cloud: windows/Connecting-to-a-Windows-VM-via-RDP-through-a-Linux-bastion-host-port-forwarding-on-3Engines-Cloud.html.md
      - How to connect to a virtual machine via SSH from Windows 10 Command Prompt on 3Engines Cloud: windows/How-to-connect-to-a-virtual-machine-via-SSH-from-Windows-10-Command-Prompt-on-3Engines-Cloud.html.md
      - How to Create SSH Key Pair in Windows 10 On 3Engines Cloud: windows/How-To-Create-SSH-Key-Pair-In-Windows-On-3Engines-Cloud.html.md
      - Can I change my password through RDP on 3Engines Cloud?: windows/Can-I-change-my-password-through-RDP-on-3Engines-Cloud.html.md
      - How to Create SSH Key Pair in Windows 11 On 3Engines Cloud: windows/How-To-Create-SSH-Key-Pair-In-Windows-11-On-3Engines-Cloud.html.md
  # - Release Notes:
  #     - Overview: releasenotes/releasenotes.html.md
  #     - Release Notes: releasenotes/releasenotes.html.md


# Markdown extensions (merged from both configs)
markdown_extensions:
  - admonition
  - attr_list
  - def_list
  - footnotes
  - meta
  - md_in_html
  - tables
  - toc:
      permalink: true
      title: On this page
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.arithmatex:
      generic: true
  - pymdownx.details
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.mark
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg

# Plugins
plugins:
  - offline
  - search:
      lang: en
      indexing: full
      separator: '[\s\-,:!=\[\]()"`/]+|\.(?!\d)|&[lg]t;|(?!\b)(?=[A-Z][a-z])'
  - minify:
      minify_html: true
      minify_css: true
      minify_js: true
  - awesome-pages
  - glightbox: # Optional, for image lightbox support
      touchNavigation: false
      loop: false
      effect: zoom
      width: 100%
      height: auto
      zoomable: true
      draggable: true

# Extra configurations
# extra:
#   social:
#     - icon: fontawesome/brands/github
#       link: https://github.com/3Engines
#       name: 3Engines on GitHub
#     - icon: fontawesome/brands/twitter
#       link: https://twitter.com/3Engines
#       name: 3Engines on Twitter
#   analytics:
#     provider: google
#     property: UA-XXXXXX-X # Replace with your actual Google Analytics ID
#   generator: false

# copyright: |
#   © 2025 <a href="https://github.com/3Engines" target="_blank" rel="noopener">3Engines</a>